Tenant Admin
2 API calls in this section.
List Tenant Carriers
External & Carrier Integrations / Tenant Admin
GET
/carriers/tenantGET /carriers/tenant — List globally active carriers with this tenant's config
Headers
| Parameter | Type | Description |
|---|---|---|
Authorization | string | Example: |
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/carriers/tenant" \2 --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}"Response examples
No saved response example. Use Try it to inspect a staging response.
Update Tenant Carrier
External & Carrier Integrations / Tenant Admin
PATCH
/carriers/tenant/PRIMEPATCH /carriers/tenant/
code — Upsert tenant config for a carrier. When enabling PRIME, response includes webhook.url and webhook.secret (to provide to Prime).
Headers
| Parameter | Type | Description |
|---|---|---|
Authorization | string | Example: |
Content-Type | string | Example: |
Body parameters
| Parameter | Type | Description |
|---|---|---|
is_enabled | boolean | — |
prefer_internal | boolean | — |
default_price | number | — |
credentials | object | — |
credentials.login_id | string | — |
credentials.password | string | — |
credentials.initial_token | string | — |
Request
curl
1curl --globoff --request PATCH "https://staging-api.ondi.io/functions/v1/carriers/tenant/PRIME" \2 --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}" \3 --header "Content-Type: application/json" \4 --data-raw '{5 "is_enabled": true,6 "prefer_internal": false,7 "default_price": 4.5,8 "credentials": {9 "login_id": "{{prime_login_id}}",10 "password": "{{prime_password}}",11 "initial_token": "{{prime_initial_token}}"12 }13}'Replace {{placeholders}} with your own values before sending.
Response examples
No saved response example. Use Try it to inspect a staging response.